import { Context, TextMapPropagator, TextMapSetter, TextMapGetter } from '@opentelemetry/api';
export declare const AWSXRAY_TRACE_ID_ENV_VAR = "_X_AMZN_TRACE_ID";
/**
 * Implementation of the AWS X-Ray Trace Header propagation protocol with special
 * logic for handling Lambda X-ray environment variable.
 *
 * An example AWS Xray Tracing Header is shown below:
 * X-Amzn-Trace-Id: Root=1-5759e988-bd862e3fe1be46a994272793;Parent=53995c3f42cd8ad8;Sampled=1
 */
export declare class AWSXRayLambdaPropagator implements TextMapPropagator {
    private _awsXrayPropagator;
    inject(context: Context, carrier: unknown, setter: TextMapSetter): void;
    extract(context: Context, carrier: unknown, getter: TextMapGetter): Context;
    fields(): string[];
}
//# sourceMappingURL=AWSXRayLambdaPropagator.d.ts.map